List job schedules
curl --request GET \
--url https://api.bonya.ai/v1/job-schedule \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bonya.ai/v1/job-schedule"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bonya.ai/v1/job-schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bonya.ai/v1/job-schedule",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bonya.ai/v1/job-schedule"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bonya.ai/v1/job-schedule")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bonya.ai/v1/job-schedule")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"schedules": [
{
"schedule_id": "<string>",
"paused": true,
"one_shot": true,
"available_actions": [
"pause"
],
"schedule": {
"cron_expressions": [
"<string>"
],
"interval_s": 123,
"run_at_unix_nanos": 123,
"time_zone": "<string>",
"jitter_s": 123,
"overlap": "skip"
},
"job": {
"name": "<string>",
"existing_sandbox_id": "<string>",
"new_sandbox": {
"template_id": "<string>",
"template_revision": 123,
"snapshot": "<string>",
"image": "<string>",
"name": "<string>",
"network": {
"mode": "open",
"allow": [
{
"domain": "<string>",
"cidr": "<string>"
}
]
},
"env": {},
"secret_sets": [
"<string>"
]
},
"command": [
"<string>"
],
"script": {
"body": "<string>",
"interpreter": "sh",
"args": [
"<string>"
],
"filename": "<string>"
},
"pre_run_script": {
"body": "<string>",
"interpreter": "sh",
"args": [
"<string>"
],
"filename": "<string>"
},
"env": {},
"secret_sets": [
"<string>"
],
"working_dir": "<string>",
"stdin_b64": "<string>",
"command_timeout_seconds": 2,
"run_deadline_seconds": 2,
"disposition": "delete",
"wake_if_paused": false,
"wait": false
},
"note": "<string>",
"next_run_at_unix_nanos": 123,
"remaining_actions": 123,
"created_at_unix_nanos": 123,
"updated_at_unix_nanos": 123,
"num_actions": 123,
"num_actions_skipped_overlap": 123,
"num_actions_missed_catchup_window": 123,
"recent_run_ids": [
"<string>"
],
"running_run_ids": [
"<string>"
]
}
],
"next_page_token": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>"
}Job Schedules
List job schedules
GET
/
v1
/
job-schedule
List job schedules
curl --request GET \
--url https://api.bonya.ai/v1/job-schedule \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bonya.ai/v1/job-schedule"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bonya.ai/v1/job-schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bonya.ai/v1/job-schedule",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bonya.ai/v1/job-schedule"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bonya.ai/v1/job-schedule")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bonya.ai/v1/job-schedule")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"schedules": [
{
"schedule_id": "<string>",
"paused": true,
"one_shot": true,
"available_actions": [
"pause"
],
"schedule": {
"cron_expressions": [
"<string>"
],
"interval_s": 123,
"run_at_unix_nanos": 123,
"time_zone": "<string>",
"jitter_s": 123,
"overlap": "skip"
},
"job": {
"name": "<string>",
"existing_sandbox_id": "<string>",
"new_sandbox": {
"template_id": "<string>",
"template_revision": 123,
"snapshot": "<string>",
"image": "<string>",
"name": "<string>",
"network": {
"mode": "open",
"allow": [
{
"domain": "<string>",
"cidr": "<string>"
}
]
},
"env": {},
"secret_sets": [
"<string>"
]
},
"command": [
"<string>"
],
"script": {
"body": "<string>",
"interpreter": "sh",
"args": [
"<string>"
],
"filename": "<string>"
},
"pre_run_script": {
"body": "<string>",
"interpreter": "sh",
"args": [
"<string>"
],
"filename": "<string>"
},
"env": {},
"secret_sets": [
"<string>"
],
"working_dir": "<string>",
"stdin_b64": "<string>",
"command_timeout_seconds": 2,
"run_deadline_seconds": 2,
"disposition": "delete",
"wake_if_paused": false,
"wait": false
},
"note": "<string>",
"next_run_at_unix_nanos": 123,
"remaining_actions": 123,
"created_at_unix_nanos": 123,
"updated_at_unix_nanos": 123,
"num_actions": 123,
"num_actions_skipped_overlap": 123,
"num_actions_missed_catchup_window": 123,
"recent_run_ids": [
"<string>"
],
"running_run_ids": [
"<string>"
]
}
],
"next_page_token": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>"
}Authorizations
personalApiKeysupabaseJwt
Personal byk_ API key; user-principal, resolved to a tenant by org context.
Headers
Org context. Omitted means the caller's personal organization. A well-formed non-member org is 404; malformed is 400.